> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all instructors 

> Get details of all instructors in your school

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 15 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-all-instructors
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-all-instructors:
    post:
      tags:
        - User
      summary: 'Get all instructors '
      description: >-
        Get details of all instructors in your school


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 15 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties: {}
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                instructors:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      fermionInstructorId:
                                        type: string
                                        minLength: 1
                                        description: Unique identifier for the instructor
                                      name:
                                        type: string
                                        minLength: 1
                                        description: Name of the instructor
                                      email:
                                        type: string
                                        format: email
                                        description: Email address of the instructor
                                      profilePhotoUrl:
                                        type: string
                                        format: uri
                                        description: URL of the instructor's profile photo
                                      tagline:
                                        type: string
                                        description: Short tagline or title of the instructor
                                      longDescriptionMarkdown:
                                        type: string
                                        description: >-
                                          Detailed markdown description of the
                                          instructor
                                      createdAt:
                                        type: string
                                        description: >-
                                          Timestamp when the instructor was added
                                          to the school
                                      lastUpdatedAt:
                                        type: string
                                        description: >-
                                          Timestamp when the instructor was last
                                          updated
                                    required:
                                      - fermionInstructorId
                                      - name
                                      - email
                                      - profilePhotoUrl
                                      - tagline
                                      - longDescriptionMarkdown
                                      - createdAt
                                      - lastUpdatedAt
                                  description: List of all instructors in the school
                              required:
                                - instructors
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````